Subject: Mips cross compiler. Help!
From: [email-masked] (David Linsley)

6 Apr 1998 16:41:58 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hi,

I'm trying to make a Mips Cross compiler, hosting on NT4 with the B19
release of gnu-win32.

The target I'm trying to build for is mips-elf (though I'd really like to
build for mips64vr4300 but this seems to be internal to Cygnus only,
judging by the test in the configure files), and have copied the mips files
from the opcodes directory of 2.8.0 (standard gcc release) into the opcodes
directroy of B19/src

Binutils builds fine, but gcc fails when trying to compile libgcc2.a - it
compiles _muldi3 first and fails with the response:

c:\temp\cc001056.s :74 Error opcode requires -mips15 or greater 'dsli'
Also followed by
75 'dsra' 76 'dsra' 77 mult 78 mflo

80 Internal Error!
Assertion failed in macro-build at ./config/tc-mips.c line 2357
Please report this bug

Any help greatfully appreciated. Thanks!

Regards,

David Linsley              STNC Ltd
Software Engineer          Reflection House
Phone: +44 (0)1284 770770  Olding Road
Fax:   +44 (0)1284 770771  Bury St. Edmunds
Email: [email-masked]   Suffolk IP33 3TA
WWW:   http://www.stnc.com England
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".